ZIP_ERROR_TO_STR(3)

NAME
zip_error_to_str - get string representation of zip error (obsolete interface)

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>
int
zip_error_to_str(char *buf, zip_uint64_t len, int ze, int se);

DESCRIPTION
The function zip_error_to_str() is deprecated; use zip_error_init_with_code(3) and zip_error_strerror(3) instead.

Replace

    char buf[BUFSIZE];
    zip_error_to_str(buf, sizeof(buf), ze, se);
    printf("%s", buf);

with

    zip_error_t error;
    zip_error_init_with_code(&error, ze);
    printf("%s", zip_error_strerror(&error));
    zip_error_fini(&error);

SEE ALSO
libzip(3), zip_error_init_with_code(3), zip_error_strerror(3)

HISTORY
zip_error_to_str() was added in libzip 0.6. In libzip 0.10 the type of len was changed from size_t to zip_uint64_t. It was deprecated in libzip 1.0, use zip_error_init_with_code() and zip_error_strerror() instead.

AUTHORS
-nosplit Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>